package pl.sloudpl.simplevanish.events;

import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerQuitEvent;
import org.bukkit.potion.PotionEffectType;
import pl.sloudpl.simplevanish.SimpleVanish;

public class onLeaveEvent implements Listener {

    SimpleVanish plugin;

    public onLeaveEvent(SimpleVanish plugin){
        this.plugin = plugin;
        plugin.getServer().getPluginManager().registerEvents(this, plugin);
    }

    @EventHandler
    public void PlayerLeave(PlayerQuitEvent e){

        Player player = e.getPlayer();

        if(plugin.inVanishList.contains(player.getUniqueId())){

            plugin.inVanishList.remove(player.getUniqueId());
            player.removePotionEffect(PotionEffectType.NIGHT_VISION);
            e.setQuitMessage(null);

        }

    }

}
